Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.support.renderingcontrol
Enum RenderingControlErrorCode

    java.lang.Object
      java.lang.Enum<RenderingControlErrorCode>
          org.teleal.cling.support.renderingcontrol.RenderingControlErrorCode

All Implemented Interfaces:
  Serializable, Comparable<RenderingControlErrorCode>

    public enum RenderingControlErrorCode

extends Enum<RenderingControlErrorCode>

Enum Constant Summary
`INVALID_INSTANCE_ID`
`INVALID_PRESET_NAME`

Method Summary
`static RenderingControlErrorCode` | `getByCode(int code)`
`int` | `getCode()`
`String` | `getDescription()`
`static RenderingControlErrorCode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RenderingControlErrorCode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### INVALID_PRESET_NAME

    public static final RenderingControlErrorCode INVALID_PRESET_NAME

### INVALID_INSTANCE_ID

    public static final RenderingControlErrorCode INVALID_INSTANCE_ID

Method Detail

### values

    public static RenderingControlErrorCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (RenderingControlErrorCode c : RenderingControlErrorCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static RenderingControlErrorCode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getCode

    public int getCode()

### getDescription

    public String getDescription()

### getByCode

    public static RenderingControlErrorCode getByCode(int code)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.